function update_parameters()

    function y=cost_for_fminsearch(x)
        K=x(1)
        tau=x(2)
        tau2=x(3)
        set("K_slider","value",K);
        set("Tau_slider","value",tau);
        set("Tau2_slider","value",tau2);
        // We impose an infinite cost if we leave the research bounds
        if K < 0 | tau < 0 | tau2 < 0 then
            y=%inf
            return
        end
            s=poly(0,"z")
            p=K/(1+tau*s+tau2*s^2)
            //t=0:0.05:5;
            t=0:0.1:10;
            res=csim('step',t, p)'
        res_ref = ones(res);
        y = norm(res - res_ref)^2;
        e = get("costPolyline");
//        pause()
        e.data(:, 2) = res;
    endfunction
    
    e = gce();
    e.children(1).tag = "costPolyline";
//    a = gca();
//    a.data_bounds = [0, 0 ; 4, 1.8]
//    opt = optimset( "Display" , "iter" );
    //[x fval] = fminsearch ( cost_for_fminsearch , [0 0 0] , opt );
    K=get("K_slider","value");
    tau= get("Tau_slider","value");
    tau2= get("Tau2_slider","value");
    [x fval] = fminsearch ( cost_for_fminsearch , [K tau tau2]  );
//    my_plot_axes = gca();
//    my_plot_axes.title.text = get(gcbo,"string");

endfunction